"""
    Keycombo actions
"""
KEYCOMBO_DOWN = 0
KEYCOMBO_DOWN_UP = 1
KEYCOMBO_DOWN_PRESSED = 2
KEYCOMBO_DOWN_RELEASED = 3

"""
    Dialog styles
"""
DIALOG_MSGBOX = 0
DIALOG_INPUT = 1
DIALOG_LIST = 2
DIALOG_PASSWORD = 3
DIALOG_TABLIST = 4
DIALOG_TABLIST_HEADERS = 5

"""
    Events
"""
EVENT_GAME_INIT = 0
EVENT_GAME_EXIT = 1


class Weapon:
    FIST = 0
    BRASSKNUCKLE = 1
    COLT45 = 22
    SILENCED = 23
    DEAGLE = 24
    SHOTGUN = 25
    SAWEDOFF = 26
    SHOTGSPA = 27
    UZI = 28
    MP5 = 29
    AK47 = 30
    M4 = 31
    TEC9 = 32
    RIFLE = 33
    SNIPER = 34
    RPG = 35
    HEATSEEKER = 36
    FLAMETHROWER = 37
    MINIGUN = 38


class Bone:
    """
    Player bones
    https://wiki.multitheftauto.com/images/thumb/3/36/Bones.jpg/657px-Bones.jpg
    """

    PELVIS1 = 1  # тазобедренная часть(чуть ниже пупка)
    PELVIS = 2  # тазобедренная часть(чуть выше пупка)
    SPINE1 = 3  # позвоночник
    UPPERTORSO = 4  # верхня часть тела(начало шеи)
    NECK = 5  # шейная часть
    HEAD2 = 6  # голова
    HEAD1 = 7  # голова
    HEAD = 8  # голова
    RIGHTUPPERTORSO = 21  # правая верхняя часть тела(чуть правее шеи)
    RIGHTSHOULDER = 22  # правое плечо
    RIGHTELBOW = 23  # локоть правой руки
    RIGHTWRIST = 24  # запястье правой руки
    RIGHTHAND = 25  # кисть правой руки
    RIGHTTHUMB = 26  # большой палец правой руки
    LEFTUPPERTORSO = 31  # левая верхняя часть тела(чуть левее шеи)
    LEFTSHOULDER = 32  # левое плечо
    LEFTELBOW = 33  # локоть левой руки
    LEFTWRIST = 34  # запястье левой руки
    LEFTHAND = 35  # кисть левой руки
    LEFTTHUMB = 36  # большой палец левой руки
    LEFTHIP = 41  # часть бедра левой ноги
    LEFTKNEE = 42  # колено левой ноги
    LEFTANKLE = 43  # лодыжка левой ноги
    LEFTFOOT = 44  # ступня левой ноги
    RIGHTHIP = 51  # часть бедра правой ноги
    RIGHTKNEE = 52  # колено правой ноги
    RIGHTANKLE = 53  # лодыжка правой ноги
    RIGHTFOOT = 54  # ступня правой ноги


class EntityType:
    NOTHING = 0
    BUILDING = 1
    VEHICLE = 2
    PED = 3
    OBJECT = 4
    DUMMY = 5
    NOTINPOOLS = 6
